This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 142319 - failure starting httpd
failure starting httpd
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-08 17:32 EST by Ian Johnson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 09:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
results of ls command (305 bytes, text/plain)
2004-12-08 18:18 EST, Ian Johnson
no flags Details
prelink.log (125.67 KB, text/plain)
2004-12-08 18:20 EST, Ian Johnson
no flags Details

  None (edit)
Description Ian Johnson 2004-12-08 17:32:32 EST
Description of problem:

Get the following message when starting httpd - 

[root@localhost ~]# /etc/init.d/httpd start
Starting httpd: /usr/sbin/httpd: error while loading shared libraries:
libpcre.so.0: cannot open shared object file: Permission denied
                                                           [FAILED]
[root@localhost ~]#


Version-Release number of selected component (if applicable):

httpd-2.0.52-3.1

How reproducible:


every time
Comment 1 Joe Orton 2004-12-08 17:37:44 EST
This is an SELinux labelling issue which we are trying to track down.

Please can you attach the file "/var/log/prelink.log" file to this bug
report, along with output of the command:

# ls -lZ {,/usr}/lib/libpcre.*

After doing so, running the command "fixfiles restore" should fix the
issue.
Comment 2 Ian Johnson 2004-12-08 18:18:28 EST
Created attachment 108160 [details]
results of ls command
Comment 3 Ian Johnson 2004-12-08 18:20:08 EST
Created attachment 108161 [details]
prelink.log
Comment 4 Stephen Smalley 2004-12-09 08:29:11 EST
The ls output shows the correct security context on the libpcre shared
object.
The prelink.log doesn't show any errors for libpcre, but does show
that some other files lack security contexts at all.  That should only
happen if you ran with SELinux disabled and the files were updated
during that time.
Questions:
1) Did you relabel prior to running the ls?  If so, that would explain
why the label is correct now?
2) Have you run with SELinux disabled at any time?  If so, you need to
do a fixfiles relabel to fix up any missing security contexts.
3) What audit message(s) did you get in /var/log/messages for the
actual denial?
4) Are there are any messages in /var/log/messages that have
"post_create" in them?
5) Any other unusual output in /var/log/messages?
Comment 5 John Thacker 2006-04-28 09:11:29 EDT
No response from reporter, closing.

Note You need to log in before you can comment on or make changes to this bug.